We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

The Angular Step Area chart is like a step line chart except that the area connected through vertical and horizontal lines are shaded with color. Supports features like zooming, panning, animation, and dynamic updates.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Enable zooming and panning support when dealing with large amount of data to visualize the data point in any region.


Empty / Null Data Point

Handle the missed data elegantly with empty points support.


Vertical Chart

The Angular Step Area Chart can be transposed vertically to view the data in different perspective.


Customization

Customize the color and border of the area chart using built-in APIs.


Code snippet

Easily get started with Angular Step Area using a few simple lines of JS code, as demonstrated below. Also explore our Angular Step Area Chart Example that shows you how to render and configure the spline area chart component.

<ejs-chart style='display:block' id='chartcontainer'>
<e-series-collection>
    <e-series [dataSource]='data' type='StepArea' xName='x' yName='y'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [{ x: 2000, y: 180 }, { x: 2001, y: 240 }, { x: 2002, y: 370 }, { x: 2003, y: 200 },
            { x: 2004, y: 229 }, { x: 2005, y: 210 }, { x: 2006, y: 337 }, { x: 2007, y: 258 },
            { x: 2008, y: 300 }, { x: 2009, y: 173 }, { x: 2010, y: 220 }, { x: 2011, y: 309 }];
 
}
//app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { StepAreaSeriesService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ StepAreaSeriesService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Step Area Chart User Guide

Learn the available options to customize the Angular Step Area Chart.

API

Step Area Chart API Reference

Explore the Angular Step Area Chart APIs.


85+ ANGULAR UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback


Overview

The React Step Area chart is like a step line chart except that the area connected through vertical and horizontal lines are shaded with color. Supports features like zooming, panning, animation, and dynamic updates.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Enable zooming and panning support when dealing with large amount of data to visualize the data point in any region.


Empty / Null Data Point

Handle the missed data elegantly with empty points support.


Vertical Chart

The step area chart can be transposed vertically to view the data in different perspective.


Customization

Customize the color and border of the area chart using built-in APIs.


Code snippet

Easily get started with the React step area chart using a few simple lines of HTML and JS code, as demonstrated below. Also explore our React step area chart example that shows you how to render and configure the charts.

import {AxisModel,ChartComponent,Inject,SeriesCollectionDirective, SeriesDirective, StepAreaSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { };
  public data1: any[]= [{ x: 2000, y: 180 }, { x: 2001, y: 240 }, { x: 2002, y: 370 }, { x: 2003, y: 200 },
    { x: 2004, y: 229 }, { x: 2005, y: 210 }, { x: 2006, y: 337 }, { x: 2007, y: 258 },
    { x: 2008, y: 300 }, { x: 2009, y: 173 }, { x: 2010, y: 220 }, { x: 2011, y: 309 }];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[StepAreaSeries]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='StepArea'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Step Area Chart User Guide

Learn the available options to customize the React step area chart.

API

Step Area Chart API Reference

Explore the React step area chart APIs.


85+ REACT UI COMPONENTS

Scroll up icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile
Live Chat Icon